View Issue Details

IDProjectCategoryView StatusLast Update
0002854unrealircdpublic2006-04-09 14:31
ReportertoshioAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSDebian LinuxOS Versionv3.1 Sarge
Product Version3.2.4 
Target VersionFixed in Version3.2.5 
Summary0002854: chroot compilation broken
DescriptionCan't compile a chrooted unreal ircd (3.2.4). After make finishes it gives me an error about an undefined reference to `ircd_res_init'. Upon further investigating I found out that `res_init.c' has been removed (along with a few others). Which are needed for a chroot compilation or at least for the `ircd_res_init' function.
Steps To ReproduceEdit config.h add:
#define CHROOTDIR
#define IRC_UID 1000
#define IRC_GID 1000

Build as normal.
<snip>
ircd.o: In function `main':/home/tspoor/source/unrealircd/Unreal3.2/src/ircd.c:948: undefined reference to `ircd_res_init'
collect2: ld returned 1 exit status
</snip>
TagsNo tags attached.
3rd party modules

Relationships

child of 0002748 closedsyzop 3.2.5 Release 

Activities

syzop

2006-04-09 14:31

administrator   ~0011496

Fixed in CVS [.482].

Issue History

Date Modified Username Field Change
2006-03-17 01:28 toshio New Issue
2006-03-17 06:30 syzop Status new => acknowledged
2006-04-02 16:49 syzop Relationship added child of 0002748
2006-04-09 14:31 syzop Status acknowledged => resolved
2006-04-09 14:31 syzop Fixed in Version => 3.2.5
2006-04-09 14:31 syzop Resolution open => fixed
2006-04-09 14:31 syzop Assigned To => syzop
2006-04-09 14:31 syzop Note Added: 0011496